WordPress.org

Ready to get started?Download WordPress

Forums

Latest Tweets Widget
[resolved] func_get_args(): Can't be used as a function parameter (9 posts)

  1. Phlux0r
    Member
    Posted 11 months ago #

    Latest Tweets version 1.0.11 after updating to this version, I was getting:
    func_get_args(): Can't be used as a function parameter in latest_tweets_widget/latest_tweets.php line 30

    Looks like this is a PHP 5.3+ feature and won't work on PHP 5.2.x which is on my server.

    Easy to fix by assigning a variable first.

    Just FYI!

    http://wordpress.org/extend/plugins/latest-tweets-widget/

  2. rosenzweig70
    Member
    Posted 11 months ago #

    I have the same problem. At the risk of betraying my novice level, how and where would I declare that variable?

  3. s2pidkaspr
    Member
    Posted 11 months ago #

    same problem, thanks for the update geez

  4. velding
    Member
    Posted 11 months ago #

    Same problem here after updating

  5. Phlux0r
    Member
    Posted 11 months ago #

    In

    wp-content/plugins/latest-tweets-widget/latest-tweets.php
    around line 30 just replace the code that says:

    if( $cachettl ){
                $cachekey = 'latest_tweets_'.implode('_', func_get_args() );

    with:

    if( $cachettl ){
                $fargs = func_get_args();
                $cachekey = 'latest_tweets_'.implode('_', $fargs );
  6. s2pidkaspr
    Member
    Posted 11 months ago #

    well that fixed it, thanks phluxor ;)

  7. Phlux0r
    Member
    Posted 11 months ago #

    No worries, that was quick... you don't miss a beat :)

  8. timwhitlock
    Member
    Plugin Author

    Posted 11 months ago #

    Thanks folks. This is fixed in 1.0.12. Rushed it up just now.

  9. rosenzweig70
    Member
    Posted 11 months ago #

    Thanks Tim, Thanks Phlux0r. You guys rock.

Reply

You must log in to post.

About this Plugin

About this Topic